# Awesome ActivityPub [![Awesome](https://awesome.re/badge.svg)](https://awesome.re) [![License: CC0](https://img.shields.io/badge/License-CC0-lightgrey.svg)](https://creativecommons.org/publicdomain/zero/1.0/) ![Status: WIP](https://img.shields.io/badge/status-WIP-red.svg)

[<img src="https://rawgit.com/BasixKOR/awesome-activitypub/master/ActivityPub-logo.svg" align="right" width="400">](https://activitypub.rocks/)

> Curated list of ActivityPub-based Projects!

**[ActivityPub](https://www.w3.org/TR/activitypub/) is W3C standard, decentralized social networking protocol.** 

## Contents
 * [Official](#official)
 * [Platforms](#platforms)
 * [Implementations](#implementations)
 * [Libraries](#libraries)

## Official
 * [ActivityPub Website](https://activitypub.rocks/) - The official website of ActivityPub protocol.
   * [ActivityPub Test Suite](https://test.activitypub.rocks) - Make sure your service is compliance with the standard.
 * [W3C ActivityPub Standard](https://www.w3.org/TR/activitypub/) - The standard document of ActivityPub.

## Platforms
 * [Mastodon](https://joinmastodon.org/) - Microblogging service based on ActivityPub and OStatus protocol.
 * [Pleroma](https://pleroma.social/) - Lightweight microblogging service based on ActivityPub and OStatus protocol.
 * [Aardwolf](https://aardwolf.social/) - Macroblogging social network based on ActivityPub.
 * [Hubzilla](https://project.hubzilla.org) - Macroblogging social network supports Zot, OStatus, diaspora, ActivityPub.
 * [Misskey](https://github.com/syuilo/misskey) - Microblogging service based on ActivityPub.
 * [PeerTube](https://github.com/Chocobozzz/PeerTube) - Video streaming platform with ActivityPub and WebTorrent.
 * [pixelfed](https://github.com/dansup/pixelfed) - Federated image sharing service based on ActivityPub. **[WIP]**
 * [GitPub](https://github.com/git-federation/gitpub) - a decentralized federation protocol based on ActivityPub for federating Git services. **[WIP]**

## Implementations
 * [Kroeg](https://github.com/puckipedia/Kroeg) - ActivityPub server implementation written in C#.
 * [pylodon](https://github.com/rowanlupton/pylodon) - Flask-based ActivityPub server implementation.
 * [microstatus](https://github.com/Arkanosis/microstatus) - Mastodon, GNUsocial compatible ActivityPub and OStatus server implementation.

 ## Libraries
 * [activity](https://github.com/go-fed/activity) - ActivityPub library for Golang.